function PlayerColor( pn )
	if pn == PLAYER_1 then return color("0.0,0.5,1.0,1") end	-- blue
	if pn == PLAYER_2 then return color("0.0,1.0,0.3,1") end	-- green
	return color("1,1,1,1")
end

if vCheck then
	Colors.Difficulty = {
		Beginner	= color("0.0,0.9,1,1"),
		Easy		= color("0.9,0.9,0,1"),
		Medium		= color("1,0.1,0.1,1"),
		Hard		= color("0.2,1,0.2,1"),
		Challenge	= color("0.2,0.6,1.0,1"),
		Edit		= color("0.8,0.8,0.8,1"),
		Difficulty_Beginner	 = color("0.0,0.9,1,1"),
		Difficulty_Easy		 = color("0.9,0.9,0,1"),
		Difficulty_Medium	 = color("1,0.1,0.1,1"),
		Difficulty_Hard		 = color("0.2,1,0.2,1"),
		Difficulty_Challenge = color("0.2,0.6,1.0,1"),
		Difficulty_Edit 	 = color("0.8,0.8,0.8,1"),

		Couple		= color("#ed0972"),
		Routine		= color("#ff9a00"),
		Difficulty_Couple	= color("#ed0972"),
		Difficulty_Routine	= color("#ff9a00"),
	};
	Colors.Course = {
		Beginner	= color("0,1,1,1"),
		Easy		= color("#F8A800"),
		Medium		= color("#F800A0"),
		Hard		= color("#68F800"),
		Challenge	= color("#70FFFF"),
		Difficulty_Beginner	= color("0,1,1,1"),
		Difficulty_Easy		= color("#F8A800"),
		Difficulty_Medium	= color("#F800A0"),
		Difficulty_Hard		= color("#68F800"),
		Difficulty_Challenge	= color("#70FFFF"),

		Edit		= color("0.8,0.8,0.8,1"),
		Couple		= color("#ed0972"),
		Routine		= color("#ff9a00"),
	};
else
	Colors = {
		Difficulty = {
			Beginner	= color("0.0,0.9,1,1"),
			Easy		= color("0.9,0.9,0,1"),
			Medium		= color("1,0.1,0.1,1"),
			Hard		= color("0.2,1,0.2,1"),
			Challenge	= color("0.2,0.6,1.0,1"),
			Edit		= color("0.8,0.8,0.8,1"),
			Difficulty_Beginner	 = color("0.0,0.9,1,1"),
			Difficulty_Easy		 = color("0.9,0.9,0,1"),
			Difficulty_Medium	 = color("1,0.1,0.1,1"),
			Difficulty_Hard		 = color("0.2,1,0.2,1"),
			Difficulty_Challenge = color("0.2,0.6,1.0,1"),
			Difficulty_Edit 	 = color("0.8,0.8,0.8,1"),

			Couple		= color("#ed0972"),
			Routine		= color("#ff9a00"),
			Difficulty_Couple	= color("#ed0972"),
			Difficulty_Routine	= color("#ff9a00"),
		};
		Course = {
			Beginner	= color("0,1,1,1"),
			Easy		= color("#F8A800"),
			Medium		= color("#F800A0"),
			Hard		= color("#68F800"),
			Challenge	= color("#70FFFF"),
			Difficulty_Beginner	= color("0,1,1,1"),
			Difficulty_Easy		= color("#F8A800"),
			Difficulty_Medium	= color("#F800A0"),
			Difficulty_Hard		= color("#68F800"),
			Difficulty_Challenge	= color("#70FFFF"),

			Edit		= color("0.8,0.8,0.8,1"),
			Couple		= color("#ed0972"),
			Routine		= color("#ff9a00"),
		};
	};
	function CustomDifficultyToColor( sCustomDifficulty ) 
		return Colors.Difficulty[sCustomDifficulty];
	end
end;